These docs are for v1. Click to read the latest docs for v3.

Transaction Inquiry

Get the status of a Money Transfer transaction basis Eko TID or client-reference-ID

👍

GET

/transactions/{id}

eg: /transactions/12212118

In case you are doing the transaction enquiry using your client_ref_id
The value of the id parameter in URL will be client_ref_id:{client_ref_id}

So the URL will change to
https://staging.eko.in:25004/ekoapi/v1/transactions/client_ref_id:{client_ref_id}

eg: /transactions/client_ref_id:12212118

Possible values of parameter tx_status

tx_statusDescription
0Success
1Fail
2Response Awaited/Initiated (in case of NEFT)
3Refund Pending
4Refunded
5Hold (Transaction Inquiry Required)
Path Params
string
required

Should be Eko TID value if inquiry is done using id, and this should be client_ref_id:{client_ref_id} in case of inquiry using your client_ref_id

Query Params
int32
required

The unique cell number with which you are onboarded on Eko's platform. For UAT refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json